Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232509 - HTTP installs from Rescue CD get confused about finding .discinfo
Summary: HTTP installs from Rescue CD get confused about finding .discinfo
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-03-15 20:06 UTC by Adam Jackson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 18:43:24 UTC


Attachments (Terms of Use)

Description Adam Jackson 2007-03-15 20:06:54 UTC
Description of problem:

Boot from rescue CD, choose HTTP install, but supply a URL that doesn't contain
a .discinfo file (like,
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/Fedora
instead of just .../os).  The loader will then say it found local install media,
but after the partition setup, will fail to find the repodata under the URL you
gave it, and throw a fatal Abort.

So probably the check for .discinfo is just looking in the wrong place.

Experienced with rawhide rescue cd, haven't checked FC6.

Comment 1 David Cantrell 2007-04-12 18:43:24 UTC
This seems easy and reasonable, so I added it to loader.  Try to pull .discinfo
if we are going to load the second stage from the rescue CD.  If it fails, send
you back to the URL entry screen.


Note You need to log in before you can comment on or make changes to this bug.